%global _empty_manifest_terminate_build 0
Name:		python-s3transfer
Version:	0.6.1
Release:	1
Summary:	An Amazon S3 Transfer Manager
License:	Apache-2.0
URL:		https://github.com/boto/s3transfer
Source0:	https://files.pythonhosted.org/packages/49/bd/def2ab4c04063a5e114963aae90bcd3e3aca821a595124358b3b00244407/s3transfer-0.6.1.tar.gz
BuildArch:	noarch

%description
S3transfer is a Python library for managing Amazon S3 transfers.

%package -n python3-s3transfer
Summary:	An Amazon S3 Transfer Manager
Provides:	python-s3transfer = %{version}-%{release}
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
Requires:	python3-botocore
%description -n python3-s3transfer
S3transfer is a Python library for managing Amazon S3 transfers.

%package help
Summary:	Development documents and examples for s3transfer
Provides:	python3-s3transfer-doc
%description help
S3transfer is a Python library for managing Amazon S3 transfers.

%prep
%autosetup -n s3transfer-%{version}

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
if [ -f README.rst ]; then cp -af README.rst %{buildroot}/%{_pkgdocdir}; fi
if [ -f README.md ]; then cp -af README.md %{buildroot}/%{_pkgdocdir}; fi
if [ -f README.txt ]; then cp -af README.txt %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-s3transfer -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Fri May 05 2023 wubijie <wubijie@kylinos.cn> - 0.6.1-1
- Update package to version 0.6.1

* Sat Sep 24 2022 guozhengxin <guozhengxin@kylinos.cn> - 0.6.0-1
- Upgrade package to version 0.6.0

* Wed Jul 27 2022 liksh <liks11@chinaunicom.cn> - 0.5.2-1
- Upgrade for openstack yoga

* Fri Jan 21 2022 yangping <yangping69@huawei.com> - 0.5.0-1
- Package update to 0.5.0

* Mon Aug 09 2021 OpenStack_SIG <openstack@openeuler.org> - 0.3.4-1
- Package update to 0.3.4

* Tue Nov 17 2020 leiju <leiju4@huawei.com> - 0.3.0-1
- Update to 0.3.0

* Fri Oct 30 2020 jiangxinyu <jiangxinyu@kylinos.cn> - 0.2.1-1
- Init python-s3transfer project
